%define major 5
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name:           tre
Version:        0.8.0
%define subrel  1
Release:        %mkrel 12
Summary:        Lightweight, robust, and efficient POSIX compliant regexp matching library
License:        GPL
Group:          System/Libraries
URL:            http://laurikari.net/tre/
Source0:        http://laurikari.net/tre/%{name}-%{version}.tar.bz2
patch0:         tre-issue37.patch
patch1:         tre-CVE-2016-8859.patch

BuildRequires:  libltdl-devel

%description
TRE is a lightweight, robust, and efficient POSIX compliant regexp
matching library with some exciting features such as approximate
matching.

%package -n     %{libname}
Summary:        Lightweight, robust, and efficient POSIX compliant regexp matching library
Group:          System/Libraries
# Obsolete lib with wrong major
Obsoletes:	%{_lib}%{name}4 < 0.8.0-10

%description -n %{libname}
TRE is a lightweight, robust, and efficient POSIX compliant regexp
matching library with some exciting features such as approximate
matching.

%package -n     agrep
Summary:        Approximate matching
Group:          Text tools

%description -n agrep
Approximate pattern matching allows matches to be approximate,
that is, allows the matches to be close to the searched pattern
under some measure of closeness. TRE uses the edit-distance
measure (also known as the Levenshtein distance) where characters
can be inserted, deleted, or substituted in the searched text in
order to get an exact match. Each insertion, deletion, or
substitution adds the distance, or cost, of the match. TRE can
report the matches which have a cost lower than some given
threshold value. TRE can also be used to search for matches with
the lowest cost.

TRE includes a version of the agrep command line tool for
approximate regexp matching in the style of grep.  Unlike other
agrep implementations (like the one by Sun Wu and Udi Manber from
University of Arizona available) TRE agrep allows full regexps of
any length, any number of errors, and non-uniform costs for
insertion, deletion and substitution.

%package -n     %{develname}
Summary:        Header files and libraries for developing apps with %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
TRE is a lightweight, robust, and efficient POSIX compliant regexp
matching library with some exciting features such as approximate
matching.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
    --disable-static \
    --disable-rpath

%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%doc doc/tre-syntax.html
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n agrep -f %{name}.lang
%{_bindir}/agrep
%{_mandir}/man1/*

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/tre.pc
%{_includedir}/tre/


%changelog
* Wed Nov 16 2016 neoclust <neoclust> 0.8.0-12.1.mga5
+ Revision: 1067528
- Fix CVE-2015-3796 and CVE-2016-8859 ( mga #19793)

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-12.mga5
+ Revision: 739774
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-11.mga5
+ Revision: 689947
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 wally <wally> 0.8.0-10.mga5
+ Revision: 662371
- fix lib major
- drop .la files
- drop unneeded requires

* Mon Oct 21 2013 umeabot <umeabot> 0.8.0-9.mga4
+ Revision: 539486
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 dlucio <dlucio> 0.8.0-8.mga4
+ Revision: 492264
- bump release

* Mon Jan 14 2013 umeabot <umeabot> 0.8.0-7.mga3
+ Revision: 384786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 0.8.0-6.mga3
+ Revision: 310485
- spec clean-up
- update RPM group

* Mon Oct 08 2012 dlucio <dlucio> 0.8.0-5.mga3
+ Revision: 303324
- rebuild

* Fri Apr 08 2011 obgr_seneca <obgr_seneca> 0.8.0-4.mga1
+ Revision: 82480
- changed upstream url
- removed buildroot-tag
- imported package tre


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-3mdv2011.0
+ Revision: 615237
- the mass rebuild of 2010.1 packages

* Wed Mar 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.8.0-2mdv2010.1
+ Revision: 530520
- clean spec and disable static build (thanks to Matthew Dawkins)

* Sun Sep 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-1mdv2010.0
+ Revision: 449731
- update to new version 0.8.0

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.6-1mdv2010.0
+ Revision: 402754
- update to new version 0.7.6

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.7.5-4mdv2009.0
+ Revision: 261647
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.7.5-3mdv2009.0
+ Revision: 254729
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.7.5-1mdv2008.1
+ Revision: 140921
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 12 2006 Lenny Cartier <lenny@mandriva.com> 0.7.5-1mdv2007.0
+ Revision: 95236
- Update to 0.7.5
- Import tre

